Loading...
Searching...
No Matches
RayGenOp< Vec3T > Struct Template Reference

`#include <nanovdb/examples/ex_raytrace_fog_volume/common.h>`

## Public Member Functions

| RayGenOp (float wBBoxDimZ, Vec3T wBBoxCenter)
__hostdev__ void | operator() (int i, int w, int h, Vec3T &outOrigin, Vec3T &outDir) const
| RayGenOp (float wBBoxDimZ, Vec3T wBBoxCenter)
__hostdev__ void | operator() (int i, int w, int h, Vec3T &outOrigin, Vec3T &outDir) const

## Public Attributes

float | mWBBoxDimZ
Vec3T | mWBBoxCenter

## Constructor & Destructor Documentation

## RayGenOp() [1/2]

template<typename Vec3T>

RayGenOp | ( | float | wBBoxDimZ,
|  | Vec3T | wBBoxCenter )

inline

## RayGenOp() [2/2]

template<typename Vec3T>

RayGenOp | ( | float | wBBoxDimZ,
|  | Vec3T | wBBoxCenter )

inline

## Member Function Documentation

## operator()() [1/2]

template<typename Vec3T>

__hostdev__ void operator() | ( | int | i,
|  | int | w,
|  | int | h,
|  | Vec3T & | outOrigin,
|  | Vec3T & | outDir ) const

inline

## operator()() [2/2]

template<typename Vec3T>

__hostdev__ void operator() | ( | int | i,
|  | int | w,
|  | int | h,
|  | Vec3T & | outOrigin,
|  | Vec3T & | outDir ) const

inline

## Member Data Documentation

## mWBBoxCenter

template<typename Vec3T>

Vec3T mWBBoxCenter

## mWBBoxDimZ

template<typename Vec3T>

float mWBBoxDimZ